Communauté
BIM Revit, BIM et Autodesk Construction Cloud (ACC) - Français
Bienvenue sur le forum AEC francophone dédié aux solutions BIM de la société Autodesk. Cet espace est dédié aux professionnels et passionnés du secteur de l'Architecture, de l'Ingénierie et de la Construction (AEC) qui utilisent le logiciel Revit ainsi que les plateformes collaboratives d'Autodesk (ACC et Autodesk Forma). Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets, que vous soyez architecte, ingénieur, gestionnaire de projet ou tout autre acteur de l'AEC.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Remplacement graphismes murs dans phases

13 RÉPONSES 13
RÉSOLU
Répondre
Message 1 sur 14
s.baraglia
1781 Visites, 13 Réponses

Remplacement graphismes murs dans phases

Bonjour à tous, 

Je fais actuellement un projet de réhabilitation/extension et j'ai donc un modèle avec plusieurs phases : principalement existant et projet. 

J'ai mis en place plusieurs filtres d'affichage et je souhaite faire en faire un avec mes éléments nouveaux en rouge dans lequel la composition des murs est conservée (et rouge donc). C'est assez simple en théorie mais j'ai rien trouvé nulle part sur le sujet donc je m'en remet à vos conseils! 

Merci d'avance. 

Simone

PS: deux images en PJ pour info. 

13 RÉPONSES 13
Message 2 sur 14
jfbrigaud
en réponse à: s.baraglia

Bonjour,

 

  Il faudra passer par des murs séparés (non multicouche)

Message 3 sur 14
jfbrigaud
en réponse à: s.baraglia

Après réflexions, il y a une autre solution avec l'outil "Créer des éléments".

Ci-dessous j'ai créé des éléments sur le mur en phase Projet. J'ai également réglé la jonction de mur sur "Onglet".

 

elements.PNG 

Cordialement.

JF

Message 4 sur 14
s.baraglia
en réponse à: jfbrigaud

Merci pour ces retours!

Effectivement je ne connaissais pas l'outil créer des éléments mais il me décompose bien mon mur selon sa composition. Par contre je n'ai toujours pas les hachures de remplissage.

En fait pour la réhabilitation j'aime bien faire des plans avec les parties réhabilités en rouge (je le faisais sur autocad avant) mais avec le même graphisme que les parties existantes (histoire d'avoir un peu de détail). Du coup j'aimerais faire ça sur revit sans forcer tous les éléments créés pour qu'ils soient rouges! 

Simone

Message 5 sur 14

Salut,

Sinon tu as une solution un peu plus contraignante :

tu créé un filtre sur tes murs.

Gros inconvénient : tu ne peux pas sélectionner le paramètre Phase.

Donc, il "suffit" d'écrire "nouveau" (ou new, comme tu veux) dans le para. commentaire de tes murs et de faire un filtre sur ce commentaire sur tous les murs.

Après, tu change le graphisme et voilà.

 

Ca marche mais c'est un peu galère car Revit ne permet pas de filtrer les murs par leur phase, donc tu ne peux pas tous les sélectionner d'un coup sur une vue...au pire dans ta vue, tu fais un filtre de phase sur nouveaux uniquement.

 

J'espère avoir été clair.

Capture.JPG

 

Message 6 sur 14
kno.al
en réponse à: s.baraglia

Salut,

Sinon tu as une solution un peu plus contraignante :

tu créé un filtre sur tes murs.

Gros inconvénient : tu ne peux pas sélectionner le paramètre Phase.

Donc, il "suffit" d'écrire "nouveau" (ou new, comme tu veux) dans le para. commentaire de tes murs et de faire un filtre sur ce commentaire sur tous les murs.

Après, tu change le graphisme et voilà.

 

Ca marche mais c'est un peu galère car Revit ne permet pas de filtrer les murs par leur phase, donc tu ne peux pas tous les sélectionner d'un coup sur une vue...au pire dans ta vue, tu fais un filtre de phase sur nouveaux uniquement.

 

J'espère avoir été clair.

Capture.JPG

En modifiant l'arrière plan avec un rose, c'est un peu mieux. Et le paramètre "passe-partout" : commentaires

Capture2.JPG

Message 7 sur 14
jfbrigaud
en réponse à: Alexandre_KNOCKAERT

Oui, c'est une bonne idée Alexandre. J'ai déjà utilisé ce procédé. J'avais même créé un script Dynamo pour automatiser le remplissage du paramètre "Commentaires" avec le nom de la phase.

Message 8 sur 14
s.baraglia
en réponse à: kno.al

Effectivement c’est contraignant mais ça marche! 
Merci pour tous vos retours. Et si jamais on peut voir à quoi ressemble le script Dynamo je suis preneur!! 
cdlt 

Simone 

Message 9 sur 14
JRigal-BIMoDIT
en réponse à: s.baraglia

Bonjour à tous,

 

Pourquoi ne pas utiliser les filtres de phases ?

Il sont vraiment fait pour cela.

En plus ils intègrent le remplacement de graphisme que tu recherches @s.baraglia.

à disposition pour plus d'information.

 

Message 10 sur 14
kno.al
en réponse à: JRigal-BIMoDIT

Bonjour,

 

As-tu bien lu le problème soulevé et essayé de le reproduire ?

On parle de remplacement de couleur sur la totalité des couches de murs détaillés.

 

Le remplacement de graphisme va juste remplacé les traits EXT/INT et mettre une zone blanche entre les 2; ce qui fait que tu perds les détails du mur.

 

Si tu as une solution plus simple que celle que j'ai proposé, je suis preneur aussi.

Cordialement.

Message 11 sur 14
jacquesrigal3467
en réponse à: kno.al

salut @kno.al 

Mea culpa, j'avais mal lu.

et en plus je répondais avec un autre compte que celui-ci.

Vos solutions sont bien les bonnes.

 

bonne soirée.



Jacques Rigal
BIM and CAD Manager >



Mail Linkedin Twitter

Message 12 sur 14
jfbrigaud
en réponse à: s.baraglia

Le script ressemble à ça:

script.PNG

 

Ici il remplit le champ "Commentaires" de la catégorie mur. Il est possible de faire un Ctrl-C Ctrl-V de ces nœuds pour les coller à côté et changer la catégorie de manière à remplir le champ "Commentaires" de plusieurs catégories suivant les besoins.

Dans le nœud Python script il faut coller ce code:

#Source du code forum Dynamobim Auteur: KulKul
#https://forum.dynamobim.com/t/how-does-dynamo-recognize-the-phase-create-value/5817
import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *

items = UnwrapElement(IN[0])
phasecreated = list()

for item in items:
	try:
		if item.CreatedPhaseId.IntegerValue == -1:
			phasecreated.append(list())
		else:
			phasecreated.append(item.Document.GetElement
			(item.CreatedPhaseId))
	except:
		phasecreated.append(list())
		
OUT = phasecreated

Bon script.

JF

 

Message 13 sur 14
informatique
en réponse à: kno.al

On peut utiliser les fonctions de filtre des phase pour obtenir ce que tu veux avec le détail des couches, l'astuce c'est dans les remplacements de graphisme de ne pas choisir de matériau2019-11-07 10_23_48-Phase de construction.png

ci-dessous le mur seul est en phase 2 alors que le reste est en phase 1 et le filtre de phase de la vue remplace l'existant avec les paramètres de remplacement ci-dessus...sans matériau !

2019-11-07 10_25_09-plan phases.png

CQFD.

Message 14 sur 14
kno.al
en réponse à: informatique

@informatique 

Bravo, ta solution est la meilleure.

Merci pour la réponse.

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums